SplFileObject
SplFileObject::current
SplFileObject
PHP Manual

# SplFileObject::__construct

(PHP 5 >= 5.1.0)

SplFileObject::__construct — Construct a new file object.

### Description

SplFileObject::__construct ( string `$filename` [, string `$open_mode` = "r" [, bool `$use_include_path` = false [, resource `$context` ]]] )

Construct a new file object.

### Parameters

`filename`

  The file to read.

  Tip

  A URL can be used as a filename with this function if the fopen wrappers have been enabled. See fopen() for more details on how to specify the filename. See the List of Supported Protocols/Wrappers for links to information about what abilities the various wrappers have, notes on their usage, and information on any predefined variables they may provide.

`open_mode`

  The mode in which to open the file. See fopen() for a list of allowed modes.

`use_include_path`

  Whether to search in the include_path for `filename`.

`context`

  A valid context resource created with stream_context_create().

### Return Values

No value is returned.

### Errors/Exceptions

Throws a RuntimeException if the `filename` cannot be opened.

### Examples

Example #1 SplFileObject::__construct example

This example opens the current file and iterates over its contents line by line.

`<?php
$file = new SplFileObject(__FILE__);
foreach ($file as $line) {
echo $line;
}
?>`

The above example will output something similar to:

    <?php
    $file = new SplFileObject(__FILE__);
    foreach ($file as $line) {
        echo $line;
    }
    ?>

### See Also

- SplFileInfo::openFile - Gets an SplFileObject object for the file
- fopen() - Opens file or URL

SplFileObject
SplFileObject::current
SplFileObject
PHP Manual